Name:		macsio
Version:	1.0
Release:	1%{?dist}
Summary:	multi-purpose, application-centric, scalable i/o proxy application
License:	GPLv2
URL:		http://llnl.github.io/MACSio
Source0:	https://github.com/LLNL/%name/archive/%version/%name-%version.tar.gz
BuildRequires:	hdf5-openmpi-devel cmake json-cwx-devel

%description
MACSio is developed to fill a long existing void in co-design proxy
applications that allow for I/O performance testing and evaluation of
tradeoffs in data models, I/O library interfaces and parallel I/O
paradigms for multi-physics, HPC applications.

Two key design features of MACSio set it apart from existing I/O proxy
applications and benchmarking tools. The first is the level of
abstraction (LOA) at which MACSio is being designed to operate. The
second is the degree of flexibility MACSio is being designed to
provide in driving an HPC I/O workload through parameterized,
user-defined data objects and a variety of parallel I/O paradigms and
I/O interfaces.

Combined, these features allow MACSio to closely mimic I/O workloads
for a wide variety of real applications and, in particular,
multi-physics applications where data object distribution and
composition vary dramatically both within and across parallel
tasks. These data objects can then be marshaled using one or more I/O
interfaces and parallel I/O paradigms, allowing for direct comparisons
of software interfaces, parallel I/O paradigms, and file system
technologies with the same set of customizable data objects.

%prep
%setup -q -n MACSio-%version


%build
%_openmpi_load
%cmake  -DBUILD_DOCS=ON -DENABLE_HDF5_PLUGIN=ON -DWITH_HDF5_PREFIX=$MPI_HOME -DENABLE_SILO_PLUGIN=no -DENABLE_PDB_PLUGIN=no -DHDF5_INCLUDE_DIRS=$MPI_INCLUDE -DBUILD_DOCS=no


%install
%_openmpi_load
%make_install
mkdir -p %buildroot$MPI_BIN
# Why does it end up there?
mv %buildroot%_prefix/macsio %buildroot$MPI_BIN


%files
%license LICENSE
%doc README.md INSTALLING
%_libdir/openmpi/bin/macsio


%changelog
* Fri Sep 21 2018  <loveshack@fedoraproject.org> - 1.0-1
- Initial packaging
